IX(4)

NAME
ix - Intel 82598/82599/X540/X550 PCI Express 10Gb Ethernet device

SYNOPSIS
ix* at pci?

DESCRIPTION
The ix driver provides support for PCI Express 10Gb Ethernet adapters based on the Intel 82598EB, 82599EB, X540 and X550 Ethernet controller chips, including the following:

•   Intel 82598AF 10GbE Adapter (10GbaseSR)
•   Intel 82598AF Dual Port 10GbE Adapter (10GbaseSR)
•   Intel 82598EB 10GbE Adapter (10GbaseCX4)
•   Intel 82598EB 10GbE Adapter (SFP+)
•   Intel 82598EB Dual Port 10GbE Adapter (10GbaseCX4)
•   Intel 82598EB XF 10GbE Adapter (10GbaseLR)
•   Intel 82598AT 10GbE Adapter (10GbaseT)
•   Intel 82598AT Dual Port 10GbE Adapter (10GbaseT)
•   Intel 82599EB 10GbE Adapter (10GbaseCX4)
•   Intel X520-DA2 Dual Port 10GbE Adapter (SFP+)
•   Intel X520-SR1 10GbE Adapter (SFP+/10GbaseSR)
•   Intel X520-SR2 Dual Port 10GbE Adapter (SFP+/10GbaseSR)
•   Intel X520-LR1 10GbE Adapter (SFP+/10GbaseLR)
•   Intel X520-QDA1 10GbE Adapter (QSFP)
•   Intel X540-T 10GbE Adapter (10GbaseT/1000baseT/100baseTX)
•   Intel X550-T 10GbE Adapter (10GbaseT/1000baseT/100baseTX)
•   Intel X552 10GbE Adapter (SFP+)
•   Intel Xeon-D X552/X557 embedded 10GbE Adapter (SFP+/10GbaseT)
•   HotLava Tambora 64G4/80G4/64G6/120G6 (SFP+)

Please note that the networking interface should be brought down before disconnecting fiber optics, otherwise irreversible damage might be caused to the equipment.

SEE ALSO
arp(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The ix driver first appeared in OpenBSD 4.4.

AUTHORS
-nosplit The ix driver was written by Intel Corporation and ported to OpenBSD by Reyk Floeter <reyk@openbsd.org>. Claudio Jeker <claudio@openbsd.org> and Mike Belopuhov <mikeb@openbsd.org> have performed multiple updates since.